## CORBA Interface IStatement

### Definition

CORBA Module SASTableServer

### IStatement Description

CORBA Definitions
attribute Id |
attribute Parent |
method Add |
method BindCols |
method BindParameters |
method BulkOpsAdd |
method Cancel |
method Close |
method CloseCursor |
method ColAttributes |
method ColAttributesFlat |
method ColumnPrivileges |
method Columns |
method ColumnStatistics |
method Delete |
method DeleteByBookmark |
method DescribeCols |
method DescribeParam |
method DescribeParams |
method ExecDirect |
method ExecDirectWithRowCount |
method Execute |
method ExecuteWithRowCount |
method Fetch |
method FetchByBookmark |
method FetchScroll |
method ForeignKeys |
method FreeStmt |
method FreeStmtArray |
method GetAttr |
method GetAttrs |
method GetData |
method GetDiagFields |
method GetDiagRecs |
method GetTypeInformation |
method MoreResults |
method NumParams |
method NumResultCols |
method ParamData |
method Position |
method Prepare |
method PrepareWithNumResultCols |
method PrimaryKeys |
method ProcedureColumns |
method Procedures |
method PutData |
method Refresh |
method RowCount |
method SetAttr |
method SetAttrs |
method SpecialColumns |
method Statistics |
method TablePrivileges |
method Tables |
method Update |
method UpdateByBookmark |

Java Classes
IStatementHelper | Used to manipulate the IStatement type
IStatementHolder | Used to process the IStatement type as an out parameter

Java Interfaces
IStatement |

### IStatement_1_1 Description

CORBA Definitions
attribute Id |
attribute Parent |
method Add |
method BindCols |
method BindParameters |
method BulkOpsAdd |
method Cancel |
method Close |
method CloseCursor |
method ColAttributes |
method ColAttributesFlat |
method ColumnPrivileges |
method Columns |
method ColumnStatistics |
method Delete |
method DeleteByBookmark |
method DescribeCols |
method DescribeParam |
method DescribeParams |
method ExecDirect |
method ExecDirectWithRowCount |
method Execute |
method ExecuteWithRowCount |
method Fetch |
method FetchByBookmark |
method FetchScroll |
method ForeignKeys |
method FreeStmt |
method FreeStmtArray |
method GetAttr |
method GetAttrs |
method GetData |
method GetDiagFields |
method GetDiagRecs |
method GetTypeInformation |
method MoreResults |
method NumParams |
method NumResultCols |
method ParamData |
method Position |
method Prepare |
method PrepareWithNumResultCols |
method PrimaryKeys |
method ProcedureColumns |
method Procedures |
method PutData |
method Refresh |
method RowCount |
method SetAttr |
method SetAttrs |
method SpecialColumns |
method Statistics |
method TablePrivileges |
method Tables |
method Update |
method UpdateByBookmark |
method GetData64 |
method FetchScroll2 |
method PutQuery |

Java Classes
IStatement_1_1Helper | Used to manipulate the IStatement_1_1 type
IStatement_1_1Holder | Used to process the IStatement_1_1 type as an out parameter

Java Interfaces
IStatement_1_1 |

### IStatement_1_2 Description

CORBA Definitions
attribute Id |
attribute Parent |
method Add |
method BindCols |
method BindParameters |
method BulkOpsAdd |
method Cancel |
method Close |
method CloseCursor |
method ColAttributes |
method ColAttributesFlat |
method ColumnPrivileges |
method Columns |
method ColumnStatistics |
method Delete |
method DeleteByBookmark |
method DescribeCols |
method DescribeParam |
method DescribeParams |
method ExecDirect |
method ExecDirectWithRowCount |
method Execute |
method ExecuteWithRowCount |
method Fetch |
method FetchByBookmark |
method FetchScroll |
method ForeignKeys |
method FreeStmt |
method FreeStmtArray |
method GetAttr |
method GetAttrs |
method GetData |
method GetDiagFields |
method GetDiagRecs |
method GetTypeInformation |
method MoreResults |
method NumParams |
method NumResultCols |
method ParamData |
method Position |
method Prepare |
method PrepareWithNumResultCols |
method PrimaryKeys |
method ProcedureColumns |
method Procedures |
method PutData |
method Refresh |
method RowCount |
method SetAttr |
method SetAttrs |
method SpecialColumns |
method Statistics |
method TablePrivileges |
method Tables |
method Update |
method UpdateByBookmark |
method GetData64 |
method FetchScroll2 |
method PutQuery |
method BulkOpsAdd2 |
method BulkOpsUpdate2 |
method BulkOpsDelete2 |
method BulkOpsFetch2 |
method SetPosAdd2 |
method SetPosDelete2 |
method SetPosUpdate2 |
method SetPosRefresh2 |
method SetPosPosition2 |
method Execute2 |
method ExecDirect2 |
method BindParameters2 |
method GetData2 |

Java Classes
IStatement_1_2Helper | Used to manipulate the IStatement_1_2 type
IStatement_1_2Holder | Used to process the IStatement_1_2 type as an out parameter

Java Interfaces
IStatement_1_2 |

Java Interface IStatement

Package com.sas.iom.SASTableServer

IStatement Description

`public interface IStatement
extends org.omg.CORBA.Object`

Method Summary

void | Add ( int rowNumber , any[] values , int[][] lenOrInd , int[] rowOperations , int lockType , AnySeqHolder bookmarks , IntSeqHolder bookmarksLenOrInd , OctetSeqHolder rowStatus , org.omg.CORBA.IntHolder status ) throws ( TKTS_ERROR, TKTS_INVALID_HANDLE, TKTS_NEED_DATA, TKTS_STILL_EXECUTING, GenericError );
void | BindCols ( int[] columnNumbers , int[] targetTypes , java.lang.String[] formatNames , int[] columnWidths , int[] bindTypes , IntSeqHolder status , org.omg.CORBA.IntHolder bmgrStatus ) throws ( TKTS_ERROR, TKTS_INVALID_HANDLE, GenericError );
void | BindParameters ( int[] parameterNumbers , int[] valueTypes , int[] parameterTypes , int[] parameterSizes , int[] decimalDigits , int[] bindTypes , IntSeqHolder status , org.omg.CORBA.IntHolder bmgrStatus ) throws ( TKTS_ERROR, TKTS_INVALID_HANDLE, GenericError );
void | BulkOpsAdd ( any[] values , int[][] lenOrInd , AnySeqHolder bookmarks , IntSeqHolder bookmarksLenOrInd , OctetSeqHolder rowStatus , org.omg.CORBA.IntHolder rowsAffected , org.omg.CORBA.IntHolder status ) throws ( TKTS_ERROR, TKTS_INVALID_HANDLE, TKTS_NEED_DATA, TKTS_STILL_EXECUTING, GenericError );
void | Cancel ( org.omg.CORBA.IntHolder status ) throws ( TKTS_ERROR, TKTS_INVALID_HANDLE, GenericError );
void | Close ()
void | CloseCursor ( org.omg.CORBA.IntHolder status ) throws ( TKTS_ERROR, TKTS_INVALID_HANDLE, GenericError );
void | ColAttributes ( int[] columnNumbers , int[] fieldIdentifiers , int[] fieldIndicators , AnySeqHolder attrValues , VariableArray2dOfIntHolder attrStatus , org.omg.CORBA.IntHolder status ) throws ( TKTS_ERROR, TKTS_INVALID_HANDLE, TKTS_STILL_EXECUTING, GenericError );
void | ColAttributesFlat ( int[] columnNumbers , int[] fieldIdentifiers , int[] fieldIndicators , AnySeqHolder attrValues , IntSeqHolder attrStatus , org.omg.CORBA.IntHolder status ) throws ( TKTS_ERROR, TKTS_INVALID_HANDLE, TKTS_STILL_EXECUTING, GenericError );
void | ColumnPrivileges ( java.lang.String catalogName , java.lang.String schemaName , java.lang.String tableName , java.lang.String columnName , org.omg.CORBA.IntHolder status ) throws ( TKTS_ERROR, TKTS_INVALID_HANDLE, TKTS_STILL_EXECUTING, GenericError );
void | Columns ( java.lang.String catalogName , java.lang.String schemaName , java.lang.String tableName , java.lang.String columnName , org.omg.CORBA.IntHolder status ) throws ( TKTS_ERROR, TKTS_INVALID_HANDLE, TKTS_STILL_EXECUTING, GenericError );
void | ColumnStatistics ( java.lang.String catalogName , java.lang.String schemaName , java.lang.String tableName , java.lang.String[] columns , int flags , int reserved , org.omg.CORBA.IntHolder status ) throws ( TKTS_ERROR, TKTS_INVALID_HANDLE, TKTS_STILL_EXECUTING, GenericError );
void | Delete ( int rowNumber , int rowsToDelete , int[] rowOperations , int lockType , OctetSeqHolder rowStatus , org.omg.CORBA.IntHolder status ) throws ( TKTS_ERROR, TKTS_INVALID_HANDLE, TKTS_NEED_DATA, TKTS_STILL_EXECUTING, GenericError );
void | DeleteByBookmark ( any[] bookmarks , int[] bookmarksLenOrInd , OctetSeqHolder rowStatus , org.omg.CORBA.IntHolder rowsAffected , org.omg.CORBA.IntHolder status ) throws ( TKTS_ERROR, TKTS_INVALID_HANDLE, TKTS_NEED_DATA, TKTS_STILL_EXECUTING, GenericError );
void | DescribeCols ( int[] columnNumbers , StringSeqHolder columnNames , IntSeqHolder dataTypes , LongSeqHolder columnSizes , IntSeqHolder decimalDigits , IntSeqHolder nullables , IntSeqHolder status ) throws ( TKTS_ERROR, TKTS_INVALID_HANDLE, TKTS_STILL_EXECUTING, GenericError );
void | DescribeParam ( int parameterNumber , org.omg.CORBA.IntHolder dataType , org.omg.CORBA.LongHolder parameterSize , org.omg.CORBA.IntHolder decimalDigits , org.omg.CORBA.IntHolder nullable , org.omg.CORBA.IntHolder status ) throws ( TKTS_ERROR, TKTS_INVALID_HANDLE, TKTS_STILL_EXECUTING, GenericError );
void | DescribeParams ( int[] parameterNumbers , IntSeqHolder dataTypes , LongSeqHolder parameterSizes , IntSeqHolder decimalDigits , IntSeqHolder nullables , IntSeqHolder status ) throws ( TKTS_ERROR, TKTS_INVALID_HANDLE, GenericError );
void | ExecDirect ( java.lang.String statementText , any[] inParameters , int[][] inLenOrInd , int[] pParamOperations , AnySeqHolder outParameters , VariableArray2dOfIntHolder outLenOrInd , org.omg.CORBA.IntHolder paramsProcessed , OctetSeqHolder paramStatus , org.omg.CORBA.IntHolder status ) throws ( TKTS_ERROR, TKTS_INVALID_HANDLE, TKTS_NO_DATA, TKTS_STILL_EXECUTING, GenericError );
void | ExecDirectWithRowCount ( java.lang.String statementText , any[] inParameters , int[][] inLenOrInd , int[] pParamOperations , AnySeqHolder outParameters , VariableArray2dOfIntHolder outLenOrInd , org.omg.CORBA.IntHolder paramsProcessed , OctetSeqHolder paramStatus , org.omg.CORBA.LongHolder rowCount ) throws ( TKTS_ERROR, TKTS_INVALID_HANDLE, TKTS_NO_DATA, TKTS_STILL_EXECUTING, GenericError );
void | Execute ( any[] inParameters , int[][] inLenOrInd , int[] pParamOperations , AnySeqHolder outParameters , VariableArray2dOfIntHolder outLenOrInd , org.omg.CORBA.IntHolder paramsProcessed , OctetSeqHolder paramStatus , org.omg.CORBA.IntHolder status ) throws ( TKTS_ERROR, TKTS_INVALID_HANDLE, TKTS_NO_DATA, TKTS_STILL_EXECUTING, GenericError );
void | ExecuteWithRowCount ( any[] inParameters , int[][] inLenOrInd , int[] pParamOperations , AnySeqHolder outParameters , VariableArray2dOfIntHolder outLenOrInd , org.omg.CORBA.IntHolder paramsProcessed , OctetSeqHolder paramStatus , org.omg.CORBA.LongHolder rowCount ) throws ( TKTS_ERROR, TKTS_INVALID_HANDLE, TKTS_NO_DATA, TKTS_STILL_EXECUTING, GenericError );
void | Fetch ( AnySeqHolder values , VariableArray2dOfIntHolder lenOrInd , OctetSeqHolder rowStatus , org.omg.CORBA.IntHolder status ) throws ( TKTS_ERROR, TKTS_INVALID_HANDLE, TKTS_NO_DATA, TKTS_STILL_EXECUTING, GenericError );
void | FetchByBookmark ( any[] bookmarks , int[] bookmarksLenOrInd , AnySeqHolder values , VariableArray2dOfIntHolder lenOrInd , OctetSeqHolder rowStatus , org.omg.CORBA.IntHolder status ) throws ( TKTS_ERROR, TKTS_INVALID_HANDLE, TKTS_NEED_DATA, TKTS_STILL_EXECUTING, GenericError );
void | FetchScroll ( int fetchOrientation , long fetchOffset , octet[] bookmark , AnySeqHolder values , VariableArray2dOfIntHolder lenOrInd , OctetSeqHolder rowStatus , org.omg.CORBA.IntHolder status ) throws ( TKTS_ERROR, TKTS_INVALID_HANDLE, TKTS_NO_DATA, TKTS_STILL_EXECUTING, GenericError );
void | ForeignKeys ( java.lang.String pkCatalogName , java.lang.String pkSchemaName , java.lang.String pkTableName , java.lang.String fkCatalogName , java.lang.String fkSchemaName , java.lang.String fkTableName , org.omg.CORBA.IntHolder status ) throws ( TKTS_ERROR, TKTS_INVALID_HANDLE, TKTS_STILL_EXECUTING, GenericError );
void | FreeStmt ( int option , org.omg.CORBA.IntHolder status ) throws ( GenericError );
void | FreeStmtArray ( int[] options , IntSeqHolder status ) throws ( GenericError );
void | GetAttr ( int attr , int indicator , org.omg.CORBA.AnyHolder value , org.omg.CORBA.IntHolder status ) throws ( TKTS_ERROR, TKTS_INVALID_HANDLE, GenericError );
void | GetAttrs ( int[] attrs , int[] indicators , AnySeqHolder values , IntSeqHolder status ) throws ( GenericError );
void | GetData ( int columnNumber , int targetType , int offset , int length , org.omg.CORBA.AnyHolder data , org.omg.CORBA.IntHolder lenOrInd , org.omg.CORBA.IntHolder status ) throws ( TKTS_ERROR, TKTS_INVALID_HANDLE, TKTS_NO_DATA, TKTS_STILL_EXECUTING, GenericError );
void | GetDiagFields ( int[] recNumbers , int[] diagIdentifiers , int[] diagIndicators , AnySeqHolder values , VariableArray2dOfIntHolder status ) throws ( TKTS_ERROR, TKTS_INVALID_HANDLE, TKTS_NO_DATA, GenericError );
void | GetDiagRecs ( int[] recNumbers , StringSeqHolder sqlStates , IntSeqHolder nativeErrors , StringSeqHolder messageTexts , IntSeqHolder status ) throws ( TKTS_ERROR, TKTS_INVALID_HANDLE, TKTS_NO_DATA, GenericError );
void | GetTypeInformation ( int dataType , org.omg.CORBA.IntHolder status ) throws ( TKTS_ERROR, TKTS_INVALID_HANDLE, TKTS_STILL_EXECUTING, GenericError );
void | MoreResults ( org.omg.CORBA.IntHolder status ) throws ( TKTS_ERROR, TKTS_INVALID_HANDLE, TKTS_NO_DATA, TKTS_STILL_EXECUTING, GenericError );
int | NumParams ( org.omg.CORBA.IntHolder status ) throws ( TKTS_ERROR, TKTS_INVALID_HANDLE, TKTS_STILL_EXECUTING, GenericError );
int | NumResultCols ( org.omg.CORBA.IntHolder status ) throws ( TKTS_ERROR, TKTS_INVALID_HANDLE, TKTS_STILL_EXECUTING, GenericError );
int | ParamData ( org.omg.CORBA.IntHolder status ) throws ( TKTS_ERROR, TKTS_INVALID_HANDLE, TKTS_NO_DATA, TKTS_STILL_EXECUTING, GenericError );
void | Position ( int rowNumber , int lockType , org.omg.CORBA.IntHolder status ) throws ( TKTS_ERROR, TKTS_INVALID_HANDLE, TKTS_NEED_DATA, TKTS_STILL_EXECUTING, GenericError );
void | Prepare ( java.lang.String statementText , org.omg.CORBA.IntHolder status ) throws ( TKTS_ERROR, TKTS_INVALID_HANDLE, TKTS_STILL_EXECUTING, GenericError );
int | PrepareWithNumResultCols ( java.lang.String statementText ) throws ( TKTS_ERROR, TKTS_INVALID_HANDLE, TKTS_STILL_EXECUTING, GenericError );
void | PrimaryKeys ( java.lang.String catalogName , java.lang.String schemaName , java.lang.String tableName , org.omg.CORBA.IntHolder status ) throws ( TKTS_ERROR, TKTS_INVALID_HANDLE, TKTS_STILL_EXECUTING, GenericError );
void | ProcedureColumns ( java.lang.String catalogName , java.lang.String schemaName , java.lang.String procName , java.lang.String columnName , org.omg.CORBA.IntHolder status ) throws ( TKTS_ERROR, TKTS_INVALID_HANDLE, TKTS_STILL_EXECUTING, GenericError );
void | Procedures ( java.lang.String catalogName , java.lang.String schemaName , java.lang.String procName , org.omg.CORBA.IntHolder status ) throws ( TKTS_ERROR, TKTS_INVALID_HANDLE, TKTS_STILL_EXECUTING, GenericError );
void | PutData ( any data , int lenOrInd , org.omg.CORBA.IntHolder status ) throws ( TKTS_ERROR, TKTS_INVALID_HANDLE, TKTS_STILL_EXECUTING, GenericError );
void | Refresh ( int rowNumber , int rowsToRefresh , int lockType , AnySeqHolder values , VariableArray2dOfIntHolder lenOrInd , OctetSeqHolder rowStatus , org.omg.CORBA.IntHolder status ) throws ( TKTS_ERROR, TKTS_INVALID_HANDLE, TKTS_NEED_DATA, TKTS_STILL_EXECUTING, GenericError );
long | RowCount ( org.omg.CORBA.IntHolder status ) throws ( TKTS_ERROR, TKTS_INVALID_HANDLE, GenericError );
void | SetAttr ( int attr , int indicator , any value , org.omg.CORBA.IntHolder status ) throws ( TKTS_ERROR, TKTS_INVALID_HANDLE, GenericError );
void | SetAttrs ( int[] attrs , int[] indicators , any[] values , IntSeqHolder status ) throws ( GenericError );
void | SpecialColumns ( int identifierType , java.lang.String catalogName , java.lang.String schemaName , java.lang.String tableName , int scope , int nullable , org.omg.CORBA.IntHolder status ) throws ( TKTS_ERROR, TKTS_INVALID_HANDLE, TKTS_STILL_EXECUTING, GenericError );
void | Statistics ( java.lang.String catalogName , java.lang.String schemaName , java.lang.String tableName , int unique , int reserved , org.omg.CORBA.IntHolder status ) throws ( TKTS_ERROR, TKTS_INVALID_HANDLE, TKTS_STILL_EXECUTING, GenericError );
void | TablePrivileges ( java.lang.String catalogName , java.lang.String schemaName , java.lang.String tableName , org.omg.CORBA.IntHolder status ) throws ( TKTS_ERROR, TKTS_INVALID_HANDLE, TKTS_STILL_EXECUTING, GenericError );
void | Tables ( java.lang.String catalogName , java.lang.String schemaName , java.lang.String tableName , java.lang.String tableType , org.omg.CORBA.IntHolder status ) throws ( TKTS_ERROR, TKTS_INVALID_HANDLE, TKTS_STILL_EXECUTING, GenericError );
void | Update ( int rowNumber , any[] values , int[][] lenOrInd , int[] rowOperations , int lockType , OctetSeqHolder rowStatus , org.omg.CORBA.IntHolder status ) throws ( TKTS_ERROR, TKTS_INVALID_HANDLE, TKTS_NEED_DATA, TKTS_STILL_EXECUTING, GenericError );
void | UpdateByBookmark ( any[] values , int[][] lenOrInd , OctetSeqHolder rowStatus , org.omg.CORBA.IntHolder rowsAffected , org.omg.CORBA.IntHolder status ) throws ( TKTS_ERROR, TKTS_INVALID_HANDLE, TKTS_NEED_DATA, TKTS_STILL_EXECUTING, GenericError );

Java Class IStatementHelper

public class IStatementHelper

Description
Implementing class for methods (insert, extract, type, id, read, write, narrow) used to manipulate the IStatement type.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IStatementHelper

Java Class IStatementHolder

public class IStatementHolder

Description
Implementing class for methods (_read, _write, _type) used to process the IStatement type as an out parameter.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IStatementHolder

CORBA Attribute Id (readonly)

Description

Usage

Java Method Id

    public long Id ();

CORBA Attribute Parent (readonly)

Description

Usage

Java Method Parent

    public IConnection Parent ();

CORBA Method Add

Description

Usage

Java Method Add

`void` Add (

        int rowNumber ,
        any[] values ,
        int[][] lenOrInd ,
        int[] rowOperations ,
        int lockType ,
        AnySeqHolder bookmarks ,
        IntSeqHolder bookmarksLenOrInd ,
        OctetSeqHolder rowStatus ,
        org.omg.CORBA.IntHolder status
        )
        throws (
                TKTS_ERROR,
                TKTS_INVALID_HANDLE,
                TKTS_NEED_DATA,
                TKTS_STILL_EXECUTING,
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
rowNumber | in | int |
values | in | any[] |
lenOrInd | in | int[][] |
rowOperations | in | int[] |
lockType | in | int |
bookmarks | out | AnySeqHolder |
bookmarksLenOrInd | out | IntSeqHolder |
rowStatus | out | OctetSeqHolder |
status | out | org.omg.CORBA.IntHolder |

Example

CORBA Method BindCols

Description

Usage

Java Method BindCols

`void` BindCols (

        int[] columnNumbers ,
        int[] targetTypes ,
        java.lang.String[] formatNames ,
        int[] columnWidths ,
        int[] bindTypes ,
        IntSeqHolder status ,
        org.omg.CORBA.IntHolder bmgrStatus
        )
        throws (
                TKTS_ERROR,
                TKTS_INVALID_HANDLE,
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
columnNumbers | in | int[] |
targetTypes | in | int[] |
formatNames | in | java.lang.String[] |
columnWidths | in | int[] |
bindTypes | in | int[] |
status | out | IntSeqHolder |
bmgrStatus | out | org.omg.CORBA.IntHolder |

Example

CORBA Method BindParameters

Description

Usage

Java Method BindParameters

`void` BindParameters (

        int[] parameterNumbers ,
        int[] valueTypes ,
        int[] parameterTypes ,
        int[] parameterSizes ,
        int[] decimalDigits ,
        int[] bindTypes ,
        IntSeqHolder status ,
        org.omg.CORBA.IntHolder bmgrStatus
        )
        throws (
                TKTS_ERROR,
                TKTS_INVALID_HANDLE,
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
parameterNumbers | in | int[] |
valueTypes | in | int[] |
parameterTypes | in | int[] |
parameterSizes | in | int[] |
decimalDigits | in | int[] |
bindTypes | in | int[] |
status | out | IntSeqHolder |
bmgrStatus | out | org.omg.CORBA.IntHolder |

Example

CORBA Method BulkOpsAdd

Description

Usage

Java Method BulkOpsAdd

`void` BulkOpsAdd (

        any[] values ,
        int[][] lenOrInd ,
        AnySeqHolder bookmarks ,
        IntSeqHolder bookmarksLenOrInd ,
        OctetSeqHolder rowStatus ,
        org.omg.CORBA.IntHolder rowsAffected ,
        org.omg.CORBA.IntHolder status
        )
        throws (
                TKTS_ERROR,
                TKTS_INVALID_HANDLE,
                TKTS_NEED_DATA,
                TKTS_STILL_EXECUTING,
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
values | in | any[] |
lenOrInd | in | int[][] |
bookmarks | out | AnySeqHolder |
bookmarksLenOrInd | out | IntSeqHolder |
rowStatus | out | OctetSeqHolder |
rowsAffected | out | org.omg.CORBA.IntHolder |
status | out | org.omg.CORBA.IntHolder |

Example

CORBA Method Cancel

Description

Usage

Java Method Cancel

`void` Cancel (

        org.omg.CORBA.IntHolder status
        )
        throws (
                TKTS_ERROR,
                TKTS_INVALID_HANDLE,
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
status | out | org.omg.CORBA.IntHolder |

Example

CORBA Method Close

Description

Usage

Java Method Close

`void` Close ( )

Example

CORBA Method CloseCursor

Description

Usage

Java Method CloseCursor

`void` CloseCursor (

        org.omg.CORBA.IntHolder status
        )
        throws (
                TKTS_ERROR,
                TKTS_INVALID_HANDLE,
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
status | out | org.omg.CORBA.IntHolder |

Example

CORBA Method ColAttributes

Description

Usage

Java Method ColAttributes

`void` ColAttributes (

        int[] columnNumbers ,
        int[] fieldIdentifiers ,
        int[] fieldIndicators ,
        AnySeqHolder attrValues ,
        VariableArray2dOfIntHolder attrStatus ,
        org.omg.CORBA.IntHolder status
        )
        throws (
                TKTS_ERROR,
                TKTS_INVALID_HANDLE,
                TKTS_STILL_EXECUTING,
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
columnNumbers | in | int[] |
fieldIdentifiers | in | int[] |
fieldIndicators | in | int[] |
attrValues | out | AnySeqHolder |
attrStatus | out | VariableArray2dOfIntHolder |
status | out | org.omg.CORBA.IntHolder |

Example

CORBA Method ColAttributesFlat

Description

Usage

Java Method ColAttributesFlat

`void` ColAttributesFlat (

        int[] columnNumbers ,
        int[] fieldIdentifiers ,
        int[] fieldIndicators ,
        AnySeqHolder attrValues ,
        IntSeqHolder attrStatus ,
        org.omg.CORBA.IntHolder status
        )
        throws (
                TKTS_ERROR,
                TKTS_INVALID_HANDLE,
                TKTS_STILL_EXECUTING,
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
columnNumbers | in | int[] |
fieldIdentifiers | in | int[] |
fieldIndicators | in | int[] |
attrValues | out | AnySeqHolder |
attrStatus | out | IntSeqHolder |
status | out | org.omg.CORBA.IntHolder |

Example

CORBA Method ColumnPrivileges

Description

Usage

Java Method ColumnPrivileges

`void` ColumnPrivileges (

        java.lang.String catalogName ,
        java.lang.String schemaName ,
        java.lang.String tableName ,
        java.lang.String columnName ,
        org.omg.CORBA.IntHolder status
        )
        throws (
                TKTS_ERROR,
                TKTS_INVALID_HANDLE,
                TKTS_STILL_EXECUTING,
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
catalogName | in | java.lang.String |
schemaName | in | java.lang.String |
tableName | in | java.lang.String |
columnName | in | java.lang.String |
status | out | org.omg.CORBA.IntHolder |

Example

CORBA Method Columns

Description

Usage

Java Method Columns

`void` Columns (

        java.lang.String catalogName ,
        java.lang.String schemaName ,
        java.lang.String tableName ,
        java.lang.String columnName ,
        org.omg.CORBA.IntHolder status
        )
        throws (
                TKTS_ERROR,
                TKTS_INVALID_HANDLE,
                TKTS_STILL_EXECUTING,
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
catalogName | in | java.lang.String |
schemaName | in | java.lang.String |
tableName | in | java.lang.String |
columnName | in | java.lang.String |
status | out | org.omg.CORBA.IntHolder |

Example

CORBA Method ColumnStatistics

Description

Usage

Java Method ColumnStatistics

`void` ColumnStatistics (

        java.lang.String catalogName ,
        java.lang.String schemaName ,
        java.lang.String tableName ,
        java.lang.String[] columns ,
        int flags ,
        int reserved ,
        org.omg.CORBA.IntHolder status
        )
        throws (
                TKTS_ERROR,
                TKTS_INVALID_HANDLE,
                TKTS_STILL_EXECUTING,
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
catalogName | in | java.lang.String |
schemaName | in | java.lang.String |
tableName | in | java.lang.String |
columns | in | java.lang.String[] |
flags | in | int |
reserved | in | int |
status | out | org.omg.CORBA.IntHolder |

Example

CORBA Method Delete

Description

Usage

Java Method Delete

`void` Delete (

        int rowNumber ,
        int rowsToDelete ,
        int[] rowOperations ,
        int lockType ,
        OctetSeqHolder rowStatus ,
        org.omg.CORBA.IntHolder status
        )
        throws (
                TKTS_ERROR,
                TKTS_INVALID_HANDLE,
                TKTS_NEED_DATA,
                TKTS_STILL_EXECUTING,
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
rowNumber | in | int |
rowsToDelete | in | int |
rowOperations | in | int[] |
lockType | in | int |
rowStatus | out | OctetSeqHolder |
status | out | org.omg.CORBA.IntHolder |

Example

CORBA Method DeleteByBookmark

Description

Usage

Java Method DeleteByBookmark

`void` DeleteByBookmark (

        any[] bookmarks ,
        int[] bookmarksLenOrInd ,
        OctetSeqHolder rowStatus ,
        org.omg.CORBA.IntHolder rowsAffected ,
        org.omg.CORBA.IntHolder status
        )
        throws (
                TKTS_ERROR,
                TKTS_INVALID_HANDLE,
                TKTS_NEED_DATA,
                TKTS_STILL_EXECUTING,
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
bookmarks | in | any[] |
bookmarksLenOrInd | in | int[] |
rowStatus | out | OctetSeqHolder |
rowsAffected | out | org.omg.CORBA.IntHolder |
status | out | org.omg.CORBA.IntHolder |

Example

CORBA Method DescribeCols

Description

Usage

Java Method DescribeCols

`void` DescribeCols (

        int[] columnNumbers ,
        StringSeqHolder columnNames ,
        IntSeqHolder dataTypes ,
        LongSeqHolder columnSizes ,
        IntSeqHolder decimalDigits ,
        IntSeqHolder nullables ,
        IntSeqHolder status
        )
        throws (
                TKTS_ERROR,
                TKTS_INVALID_HANDLE,
                TKTS_STILL_EXECUTING,
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
columnNumbers | in | int[] |
columnNames | out | StringSeqHolder |
dataTypes | out | IntSeqHolder |
columnSizes | out | LongSeqHolder |
decimalDigits | out | IntSeqHolder |
nullables | out | IntSeqHolder |
status | out | IntSeqHolder |

Example

CORBA Method DescribeParam

Description

Usage

Java Method DescribeParam

`void` DescribeParam (

        int parameterNumber ,
        org.omg.CORBA.IntHolder dataType ,
        org.omg.CORBA.LongHolder parameterSize ,
        org.omg.CORBA.IntHolder decimalDigits ,
        org.omg.CORBA.IntHolder nullable ,
        org.omg.CORBA.IntHolder status
        )
        throws (
                TKTS_ERROR,
                TKTS_INVALID_HANDLE,
                TKTS_STILL_EXECUTING,
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
parameterNumber | in | int |
dataType | out | org.omg.CORBA.IntHolder |
parameterSize | out | org.omg.CORBA.LongHolder |
decimalDigits | out | org.omg.CORBA.IntHolder |
nullable | out | org.omg.CORBA.IntHolder |
status | out | org.omg.CORBA.IntHolder |

Example

CORBA Method DescribeParams

Description

Usage

Java Method DescribeParams

`void` DescribeParams (

        int[] parameterNumbers ,
        IntSeqHolder dataTypes ,
        LongSeqHolder parameterSizes ,
        IntSeqHolder decimalDigits ,
        IntSeqHolder nullables ,
        IntSeqHolder status
        )
        throws (
                TKTS_ERROR,
                TKTS_INVALID_HANDLE,
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
parameterNumbers | in | int[] |
dataTypes | out | IntSeqHolder |
parameterSizes | out | LongSeqHolder |
decimalDigits | out | IntSeqHolder |
nullables | out | IntSeqHolder |
status | out | IntSeqHolder |

Example

CORBA Method ExecDirect

Description

Usage

Java Method ExecDirect

`void` ExecDirect (

        java.lang.String statementText ,
        any[] inParameters ,
        int[][] inLenOrInd ,
        int[] pParamOperations ,
        AnySeqHolder outParameters ,
        VariableArray2dOfIntHolder outLenOrInd ,
        org.omg.CORBA.IntHolder paramsProcessed ,
        OctetSeqHolder paramStatus ,
        org.omg.CORBA.IntHolder status
        )
        throws (
                TKTS_ERROR,
                TKTS_INVALID_HANDLE,
                TKTS_NO_DATA,
                TKTS_STILL_EXECUTING,
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
statementText | in | java.lang.String |
inParameters | in | any[] |
inLenOrInd | in | int[][] |
pParamOperations | in | int[] |
outParameters | out | AnySeqHolder |
outLenOrInd | out | VariableArray2dOfIntHolder |
paramsProcessed | out | org.omg.CORBA.IntHolder |
paramStatus | out | OctetSeqHolder |
status | out | org.omg.CORBA.IntHolder |

Example

CORBA Method ExecDirectWithRowCount

Description

Usage

Java Method ExecDirectWithRowCount

`void` ExecDirectWithRowCount (

        java.lang.String statementText ,
        any[] inParameters ,
        int[][] inLenOrInd ,
        int[] pParamOperations ,
        AnySeqHolder outParameters ,
        VariableArray2dOfIntHolder outLenOrInd ,
        org.omg.CORBA.IntHolder paramsProcessed ,
        OctetSeqHolder paramStatus ,
        org.omg.CORBA.LongHolder rowCount
        )
        throws (
                TKTS_ERROR,
                TKTS_INVALID_HANDLE,
                TKTS_NO_DATA,
                TKTS_STILL_EXECUTING,
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
statementText | in | java.lang.String |
inParameters | in | any[] |
inLenOrInd | in | int[][] |
pParamOperations | in | int[] |
outParameters | out | AnySeqHolder |
outLenOrInd | out | VariableArray2dOfIntHolder |
paramsProcessed | out | org.omg.CORBA.IntHolder |
paramStatus | out | OctetSeqHolder |
rowCount | out | org.omg.CORBA.LongHolder |

Example

CORBA Method Execute

Description

Usage

Java Method Execute

`void` Execute (

        any[] inParameters ,
        int[][] inLenOrInd ,
        int[] pParamOperations ,
        AnySeqHolder outParameters ,
        VariableArray2dOfIntHolder outLenOrInd ,
        org.omg.CORBA.IntHolder paramsProcessed ,
        OctetSeqHolder paramStatus ,
        org.omg.CORBA.IntHolder status
        )
        throws (
                TKTS_ERROR,
                TKTS_INVALID_HANDLE,
                TKTS_NO_DATA,
                TKTS_STILL_EXECUTING,
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
inParameters | in | any[] |
inLenOrInd | in | int[][] |
pParamOperations | in | int[] |
outParameters | out | AnySeqHolder |
outLenOrInd | out | VariableArray2dOfIntHolder |
paramsProcessed | out | org.omg.CORBA.IntHolder |
paramStatus | out | OctetSeqHolder |
status | out | org.omg.CORBA.IntHolder |

Example

CORBA Method ExecuteWithRowCount

Description

Usage

Java Method ExecuteWithRowCount

`void` ExecuteWithRowCount (

        any[] inParameters ,
        int[][] inLenOrInd ,
        int[] pParamOperations ,
        AnySeqHolder outParameters ,
        VariableArray2dOfIntHolder outLenOrInd ,
        org.omg.CORBA.IntHolder paramsProcessed ,
        OctetSeqHolder paramStatus ,
        org.omg.CORBA.LongHolder rowCount
        )
        throws (
                TKTS_ERROR,
                TKTS_INVALID_HANDLE,
                TKTS_NO_DATA,
                TKTS_STILL_EXECUTING,
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
inParameters | in | any[] |
inLenOrInd | in | int[][] |
pParamOperations | in | int[] |
outParameters | out | AnySeqHolder |
outLenOrInd | out | VariableArray2dOfIntHolder |
paramsProcessed | out | org.omg.CORBA.IntHolder |
paramStatus | out | OctetSeqHolder |
rowCount | out | org.omg.CORBA.LongHolder |

Example

CORBA Method Fetch

Description

Usage

Java Method Fetch

`void` Fetch (

        AnySeqHolder values ,
        VariableArray2dOfIntHolder lenOrInd ,
        OctetSeqHolder rowStatus ,
        org.omg.CORBA.IntHolder status
        )
        throws (
                TKTS_ERROR,
                TKTS_INVALID_HANDLE,
                TKTS_NO_DATA,
                TKTS_STILL_EXECUTING,
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
values | out | AnySeqHolder |
lenOrInd | out | VariableArray2dOfIntHolder |
rowStatus | out | OctetSeqHolder |
status | out | org.omg.CORBA.IntHolder |

Example

CORBA Method FetchByBookmark

Description

Usage

Java Method FetchByBookmark

`void` FetchByBookmark (

        any[] bookmarks ,
        int[] bookmarksLenOrInd ,
        AnySeqHolder values ,
        VariableArray2dOfIntHolder lenOrInd ,
        OctetSeqHolder rowStatus ,
        org.omg.CORBA.IntHolder status
        )
        throws (
                TKTS_ERROR,
                TKTS_INVALID_HANDLE,
                TKTS_NEED_DATA,
                TKTS_STILL_EXECUTING,
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
bookmarks | in | any[] |
bookmarksLenOrInd | in | int[] |
values | out | AnySeqHolder |
lenOrInd | out | VariableArray2dOfIntHolder |
rowStatus | out | OctetSeqHolder |
status | out | org.omg.CORBA.IntHolder |

Example

CORBA Method FetchScroll

Description

Usage

Java Method FetchScroll

`void` FetchScroll (

        int fetchOrientation ,
        long fetchOffset ,
        octet[] bookmark ,
        AnySeqHolder values ,
        VariableArray2dOfIntHolder lenOrInd ,
        OctetSeqHolder rowStatus ,
        org.omg.CORBA.IntHolder status
        )
        throws (
                TKTS_ERROR,
                TKTS_INVALID_HANDLE,
                TKTS_NO_DATA,
                TKTS_STILL_EXECUTING,
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
fetchOrientation | in | int |
fetchOffset | in | long |
bookmark | in | octet[] |
values | out | AnySeqHolder |
lenOrInd | out | VariableArray2dOfIntHolder |
rowStatus | out | OctetSeqHolder |
status | out | org.omg.CORBA.IntHolder |

Example

CORBA Method ForeignKeys

Description

Usage

Java Method ForeignKeys

`void` ForeignKeys (

        java.lang.String pkCatalogName ,
        java.lang.String pkSchemaName ,
        java.lang.String pkTableName ,
        java.lang.String fkCatalogName ,
        java.lang.String fkSchemaName ,
        java.lang.String fkTableName ,
        org.omg.CORBA.IntHolder status
        )
        throws (
                TKTS_ERROR,
                TKTS_INVALID_HANDLE,
                TKTS_STILL_EXECUTING,
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
pkCatalogName | in | java.lang.String |
pkSchemaName | in | java.lang.String |
pkTableName | in | java.lang.String |
fkCatalogName | in | java.lang.String |
fkSchemaName | in | java.lang.String |
fkTableName | in | java.lang.String |
status | out | org.omg.CORBA.IntHolder |

Example

CORBA Method FreeStmt

Description

Usage

Java Method FreeStmt

`void` FreeStmt (

        int option ,
        org.omg.CORBA.IntHolder status
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
option | in | int |
status | out | org.omg.CORBA.IntHolder |

Example

CORBA Method FreeStmtArray

Description

Usage

Java Method FreeStmtArray

`void` FreeStmtArray (

        int[] options ,
        IntSeqHolder status
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
options | in | int[] |
status | out | IntSeqHolder |

Example

CORBA Method GetAttr

Description

Usage

Java Method GetAttr

`void` GetAttr (

        int attr ,
        int indicator ,
        org.omg.CORBA.AnyHolder value ,
        org.omg.CORBA.IntHolder status
        )
        throws (
                TKTS_ERROR,
                TKTS_INVALID_HANDLE,
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
attr | in | int |
indicator | in | int |
value | out | org.omg.CORBA.AnyHolder |
status | out | org.omg.CORBA.IntHolder |

Example

CORBA Method GetAttrs

Description

Usage

Java Method GetAttrs

`void` GetAttrs (

        int[] attrs ,
        int[] indicators ,
        AnySeqHolder values ,
        IntSeqHolder status
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
attrs | in | int[] |
indicators | in | int[] |
values | out | AnySeqHolder |
status | out | IntSeqHolder |

Example

CORBA Method GetData

Description

Usage

Java Method GetData

`void` GetData (

        int columnNumber ,
        int targetType ,
        int offset ,
        int length ,
        org.omg.CORBA.AnyHolder data ,
        org.omg.CORBA.IntHolder lenOrInd ,
        org.omg.CORBA.IntHolder status
        )
        throws (
                TKTS_ERROR,
                TKTS_INVALID_HANDLE,
                TKTS_NO_DATA,
                TKTS_STILL_EXECUTING,
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
columnNumber | in | int |
targetType | in | int |
offset | in | int |
length | in | int |
data | out | org.omg.CORBA.AnyHolder |
lenOrInd | out | org.omg.CORBA.IntHolder |
status | out | org.omg.CORBA.IntHolder |

Example

CORBA Method GetDiagFields

Description

Usage

Java Method GetDiagFields

`void` GetDiagFields (

        int[] recNumbers ,
        int[] diagIdentifiers ,
        int[] diagIndicators ,
        AnySeqHolder values ,
        VariableArray2dOfIntHolder status
        )
        throws (
                TKTS_ERROR,
                TKTS_INVALID_HANDLE,
                TKTS_NO_DATA,
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
recNumbers | in | int[] |
diagIdentifiers | in | int[] |
diagIndicators | in | int[] |
values | out | AnySeqHolder |
status | out | VariableArray2dOfIntHolder |

Example

CORBA Method GetDiagRecs

Description

Usage

Java Method GetDiagRecs

`void` GetDiagRecs (

        int[] recNumbers ,
        StringSeqHolder sqlStates ,
        IntSeqHolder nativeErrors ,
        StringSeqHolder messageTexts ,
        IntSeqHolder status
        )
        throws (
                TKTS_ERROR,
                TKTS_INVALID_HANDLE,
                TKTS_NO_DATA,
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
recNumbers | in | int[] |
sqlStates | out | StringSeqHolder |
nativeErrors | out | IntSeqHolder |
messageTexts | out | StringSeqHolder |
status | out | IntSeqHolder |

Example

CORBA Method GetTypeInformation

Description

Usage

Java Method GetTypeInformation

`void` GetTypeInformation (

        int dataType ,
        org.omg.CORBA.IntHolder status
        )
        throws (
                TKTS_ERROR,
                TKTS_INVALID_HANDLE,
                TKTS_STILL_EXECUTING,
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
dataType | in | int |
status | out | org.omg.CORBA.IntHolder |

Example

CORBA Method MoreResults

Description

Usage

Java Method MoreResults

`void` MoreResults (

        org.omg.CORBA.IntHolder status
        )
        throws (
                TKTS_ERROR,
                TKTS_INVALID_HANDLE,
                TKTS_NO_DATA,
                TKTS_STILL_EXECUTING,
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
status | out | org.omg.CORBA.IntHolder |

Example

CORBA Method NumParams

Description

Usage

Java Method NumParams

`int` NumParams (

        org.omg.CORBA.IntHolder status
        )
        throws (
                TKTS_ERROR,
                TKTS_INVALID_HANDLE,
                TKTS_STILL_EXECUTING,
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
status | out | org.omg.CORBA.IntHolder |

Example

CORBA Method NumResultCols

Description

Usage

Java Method NumResultCols

`int` NumResultCols (

        org.omg.CORBA.IntHolder status
        )
        throws (
                TKTS_ERROR,
                TKTS_INVALID_HANDLE,
                TKTS_STILL_EXECUTING,
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
status | out | org.omg.CORBA.IntHolder |

Example

CORBA Method ParamData

Description

Usage

Java Method ParamData

`int` ParamData (

        org.omg.CORBA.IntHolder status
        )
        throws (
                TKTS_ERROR,
                TKTS_INVALID_HANDLE,
                TKTS_NO_DATA,
                TKTS_STILL_EXECUTING,
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
status | out | org.omg.CORBA.IntHolder |

Example

CORBA Method Position

Description

Usage

Java Method Position

`void` Position (

        int rowNumber ,
        int lockType ,
        org.omg.CORBA.IntHolder status
        )
        throws (
                TKTS_ERROR,
                TKTS_INVALID_HANDLE,
                TKTS_NEED_DATA,
                TKTS_STILL_EXECUTING,
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
rowNumber | in | int |
lockType | in | int |
status | out | org.omg.CORBA.IntHolder |

Example

CORBA Method Prepare

Description

Usage

Java Method Prepare

`void` Prepare (

        java.lang.String statementText ,
        org.omg.CORBA.IntHolder status
        )
        throws (
                TKTS_ERROR,
                TKTS_INVALID_HANDLE,
                TKTS_STILL_EXECUTING,
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
statementText | in | java.lang.String |
status | out | org.omg.CORBA.IntHolder |

Example

CORBA Method PrepareWithNumResultCols

Description

Usage

Java Method PrepareWithNumResultCols

`int` PrepareWithNumResultCols (

        java.lang.String statementText
        )
        throws (
                TKTS_ERROR,
                TKTS_INVALID_HANDLE,
                TKTS_STILL_EXECUTING,
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
statementText | in | java.lang.String |

Example

CORBA Method PrimaryKeys

Description

Usage

Java Method PrimaryKeys

`void` PrimaryKeys (

        java.lang.String catalogName ,
        java.lang.String schemaName ,
        java.lang.String tableName ,
        org.omg.CORBA.IntHolder status
        )
        throws (
                TKTS_ERROR,
                TKTS_INVALID_HANDLE,
                TKTS_STILL_EXECUTING,
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
catalogName | in | java.lang.String |
schemaName | in | java.lang.String |
tableName | in | java.lang.String |
status | out | org.omg.CORBA.IntHolder |

Example

CORBA Method ProcedureColumns

Description

Usage

Java Method ProcedureColumns

`void` ProcedureColumns (

        java.lang.String catalogName ,
        java.lang.String schemaName ,
        java.lang.String procName ,
        java.lang.String columnName ,
        org.omg.CORBA.IntHolder status
        )
        throws (
                TKTS_ERROR,
                TKTS_INVALID_HANDLE,
                TKTS_STILL_EXECUTING,
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
catalogName | in | java.lang.String |
schemaName | in | java.lang.String |
procName | in | java.lang.String |
columnName | in | java.lang.String |
status | out | org.omg.CORBA.IntHolder |

Example

CORBA Method Procedures

Description

Usage

Java Method Procedures

`void` Procedures (

        java.lang.String catalogName ,
        java.lang.String schemaName ,
        java.lang.String procName ,
        org.omg.CORBA.IntHolder status
        )
        throws (
                TKTS_ERROR,
                TKTS_INVALID_HANDLE,
                TKTS_STILL_EXECUTING,
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
catalogName | in | java.lang.String |
schemaName | in | java.lang.String |
procName | in | java.lang.String |
status | out | org.omg.CORBA.IntHolder |

Example

CORBA Method PutData

Description

Usage

Java Method PutData

`void` PutData (

        any data ,
        int lenOrInd ,
        org.omg.CORBA.IntHolder status
        )
        throws (
                TKTS_ERROR,
                TKTS_INVALID_HANDLE,
                TKTS_STILL_EXECUTING,
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
data | in | any |
lenOrInd | in | int |
status | out | org.omg.CORBA.IntHolder |

Example

CORBA Method Refresh

Description

Usage

Java Method Refresh

`void` Refresh (

        int rowNumber ,
        int rowsToRefresh ,
        int lockType ,
        AnySeqHolder values ,
        VariableArray2dOfIntHolder lenOrInd ,
        OctetSeqHolder rowStatus ,
        org.omg.CORBA.IntHolder status
        )
        throws (
                TKTS_ERROR,
                TKTS_INVALID_HANDLE,
                TKTS_NEED_DATA,
                TKTS_STILL_EXECUTING,
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
rowNumber | in | int |
rowsToRefresh | in | int |
lockType | in | int |
values | out | AnySeqHolder |
lenOrInd | out | VariableArray2dOfIntHolder |
rowStatus | out | OctetSeqHolder |
status | out | org.omg.CORBA.IntHolder |

Example

CORBA Method RowCount

Description

Usage

Java Method RowCount

`long` RowCount (

        org.omg.CORBA.IntHolder status
        )
        throws (
                TKTS_ERROR,
                TKTS_INVALID_HANDLE,
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
status | out | org.omg.CORBA.IntHolder |

Example

CORBA Method SetAttr

Description

Usage

Java Method SetAttr

`void` SetAttr (

        int attr ,
        int indicator ,
        any value ,
        org.omg.CORBA.IntHolder status
        )
        throws (
                TKTS_ERROR,
                TKTS_INVALID_HANDLE,
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
attr | in | int |
indicator | in | int |
value | in | any |
status | out | org.omg.CORBA.IntHolder |

Example

CORBA Method SetAttrs

Description

Usage

Java Method SetAttrs

`void` SetAttrs (

        int[] attrs ,
        int[] indicators ,
        any[] values ,
        IntSeqHolder status
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
attrs | in | int[] |
indicators | in | int[] |
values | in | any[] |
status | out | IntSeqHolder |

Example

CORBA Method SpecialColumns

Description

Usage

Java Method SpecialColumns

`void` SpecialColumns (

        int identifierType ,
        java.lang.String catalogName ,
        java.lang.String schemaName ,
        java.lang.String tableName ,
        int scope ,
        int nullable ,
        org.omg.CORBA.IntHolder status
        )
        throws (
                TKTS_ERROR,
                TKTS_INVALID_HANDLE,
                TKTS_STILL_EXECUTING,
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
identifierType | in | int |
catalogName | in | java.lang.String |
schemaName | in | java.lang.String |
tableName | in | java.lang.String |
scope | in | int |
nullable | in | int |
status | out | org.omg.CORBA.IntHolder |

Example

CORBA Method Statistics

Description

Usage

Java Method Statistics

`void` Statistics (

        java.lang.String catalogName ,
        java.lang.String schemaName ,
        java.lang.String tableName ,
        int unique ,
        int reserved ,
        org.omg.CORBA.IntHolder status
        )
        throws (
                TKTS_ERROR,
                TKTS_INVALID_HANDLE,
                TKTS_STILL_EXECUTING,
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
catalogName | in | java.lang.String |
schemaName | in | java.lang.String |
tableName | in | java.lang.String |
unique | in | int |
reserved | in | int |
status | out | org.omg.CORBA.IntHolder |

Example

CORBA Method TablePrivileges

Description

Usage

Java Method TablePrivileges

`void` TablePrivileges (

        java.lang.String catalogName ,
        java.lang.String schemaName ,
        java.lang.String tableName ,
        org.omg.CORBA.IntHolder status
        )
        throws (
                TKTS_ERROR,
                TKTS_INVALID_HANDLE,
                TKTS_STILL_EXECUTING,
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
catalogName | in | java.lang.String |
schemaName | in | java.lang.String |
tableName | in | java.lang.String |
status | out | org.omg.CORBA.IntHolder |

Example

CORBA Method Tables

Description

Usage

Java Method Tables

`void` Tables (

        java.lang.String catalogName ,
        java.lang.String schemaName ,
        java.lang.String tableName ,
        java.lang.String tableType ,
        org.omg.CORBA.IntHolder status
        )
        throws (
                TKTS_ERROR,
                TKTS_INVALID_HANDLE,
                TKTS_STILL_EXECUTING,
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
catalogName | in | java.lang.String |
schemaName | in | java.lang.String |
tableName | in | java.lang.String |
tableType | in | java.lang.String |
status | out | org.omg.CORBA.IntHolder |

Example

CORBA Method Update

Description

Usage

Java Method Update

`void` Update (

        int rowNumber ,
        any[] values ,
        int[][] lenOrInd ,
        int[] rowOperations ,
        int lockType ,
        OctetSeqHolder rowStatus ,
        org.omg.CORBA.IntHolder status
        )
        throws (
                TKTS_ERROR,
                TKTS_INVALID_HANDLE,
                TKTS_NEED_DATA,
                TKTS_STILL_EXECUTING,
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
rowNumber | in | int |
values | in | any[] |
lenOrInd | in | int[][] |
rowOperations | in | int[] |
lockType | in | int |
rowStatus | out | OctetSeqHolder |
status | out | org.omg.CORBA.IntHolder |

Example

CORBA Method UpdateByBookmark

Description

Usage

Java Method UpdateByBookmark

`void` UpdateByBookmark (

        any[] values ,
        int[][] lenOrInd ,
        OctetSeqHolder rowStatus ,
        org.omg.CORBA.IntHolder rowsAffected ,
        org.omg.CORBA.IntHolder status
        )
        throws (
                TKTS_ERROR,
                TKTS_INVALID_HANDLE,
                TKTS_NEED_DATA,
                TKTS_STILL_EXECUTING,
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
values | in | any[] |
lenOrInd | in | int[][] |
rowStatus | out | OctetSeqHolder |
rowsAffected | out | org.omg.CORBA.IntHolder |
status | out | org.omg.CORBA.IntHolder |

Example

IStatement_1_1 Description

`public interface IStatement_1_1
Extends IStatement`

Method Summary

void | GetData64 ( int columnNumber , int targetType , long offset , int length , org.omg.CORBA.AnyHolder data , org.omg.CORBA.LongHolder lenOrInd , org.omg.CORBA.IntHolder status ) throws ( TKTS_ERROR, TKTS_INVALID_HANDLE, TKTS_NO_DATA, TKTS_STILL_EXECUTING, GenericError );
void | FetchScroll2 ( int fetchOrientation , long fetchOffset , octet[] bookmark , org.omg.CORBA.IntHolder rowsFetched , OctetSeqHolder rowStatus , OctetSeqHolder rowBuffer , org.omg.CORBA.IntHolder status ) throws ( TKTS_ERROR, TKTS_INVALID_HANDLE, TKTS_NO_DATA, TKTS_STILL_EXECUTING, GenericError );
void | PutQuery ( org.omg.CORBA.IntHolder rowNumber , org.omg.CORBA.IntHolder ordinal , org.omg.CORBA.IntHolder bType , org.omg.CORBA.IntHolder status ) throws ( TKTS_ERROR, TKTS_INVALID_HANDLE, TKTS_NO_DATA, TKTS_NEED_DATA, TKTS_STILL_EXECUTING, GenericError );

Java Class IStatement_1_1Helper

public class IStatement_1_1Helper

Description
Implementing class for methods (insert, extract, type, id, read, write, narrow) used to manipulate the IStatement_1_1 type.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IStatement_1_1Helper

Java Class IStatement_1_1Holder

public class IStatement_1_1Holder

Description
Implementing class for methods (_read, _write, _type) used to process the IStatement_1_1 type as an out parameter.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IStatement_1_1Holder

CORBA Method GetData64

Description

Usage

Java Method GetData64

`void` GetData64 (

        int columnNumber ,
        int targetType ,
        long offset ,
        int length ,
        org.omg.CORBA.AnyHolder data ,
        org.omg.CORBA.LongHolder lenOrInd ,
        org.omg.CORBA.IntHolder status
        )
        throws (
                TKTS_ERROR,
                TKTS_INVALID_HANDLE,
                TKTS_NO_DATA,
                TKTS_STILL_EXECUTING,
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
columnNumber | in | int |
targetType | in | int |
offset | in | long |
length | in | int |
data | out | org.omg.CORBA.AnyHolder |
lenOrInd | out | org.omg.CORBA.LongHolder |
status | out | org.omg.CORBA.IntHolder |

Example

CORBA Method FetchScroll2

Description

Usage

Java Method FetchScroll2

`void` FetchScroll2 (

        int fetchOrientation ,
        long fetchOffset ,
        octet[] bookmark ,
        org.omg.CORBA.IntHolder rowsFetched ,
        OctetSeqHolder rowStatus ,
        OctetSeqHolder rowBuffer ,
        org.omg.CORBA.IntHolder status
        )
        throws (
                TKTS_ERROR,
                TKTS_INVALID_HANDLE,
                TKTS_NO_DATA,
                TKTS_STILL_EXECUTING,
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
fetchOrientation | in | int |
fetchOffset | in | long |
bookmark | in | octet[] |
rowsFetched | out | org.omg.CORBA.IntHolder |
rowStatus | out | OctetSeqHolder |
rowBuffer | out | OctetSeqHolder |
status | out | org.omg.CORBA.IntHolder |

Example

CORBA Method PutQuery

Description

Usage

Java Method PutQuery

`void` PutQuery (

        org.omg.CORBA.IntHolder rowNumber ,
        org.omg.CORBA.IntHolder ordinal ,
        org.omg.CORBA.IntHolder bType ,
        org.omg.CORBA.IntHolder status
        )
        throws (
                TKTS_ERROR,
                TKTS_INVALID_HANDLE,
                TKTS_NO_DATA,
                TKTS_NEED_DATA,
                TKTS_STILL_EXECUTING,
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
rowNumber | out | org.omg.CORBA.IntHolder |
ordinal | out | org.omg.CORBA.IntHolder |
bType | out | org.omg.CORBA.IntHolder |
status | out | org.omg.CORBA.IntHolder |

Example

IStatement_1_2 Description

`public interface IStatement_1_2
Extends IStatement_1_1`

Method Summary

void | BulkOpsAdd2 ( int numRows , octet[] rowBuffer , OctetSeqHolder bookmarks , OctetSeqHolder rowStatus , org.omg.CORBA.IntHolder rowsAffected , org.omg.CORBA.IntHolder status ) throws ( TKTS_ERROR, TKTS_INVALID_HANDLE, TKTS_NEED_DATA, TKTS_STILL_EXECUTING, GenericError );
void | BulkOpsUpdate2 ( int numRows , octet[] rowBuffer , OctetSeqHolder rowStatus , org.omg.CORBA.IntHolder rowsAffected , org.omg.CORBA.IntHolder status ) throws ( TKTS_ERROR, TKTS_INVALID_HANDLE, TKTS_NEED_DATA, TKTS_STILL_EXECUTING, GenericError );
void | BulkOpsDelete2 ( int numRows , octet[] rowBuffer , OctetSeqHolder rowStatus , org.omg.CORBA.IntHolder rowsAffected , org.omg.CORBA.IntHolder status ) throws ( TKTS_ERROR, TKTS_INVALID_HANDLE, TKTS_NEED_DATA, TKTS_STILL_EXECUTING, GenericError );
void | BulkOpsFetch2 ( int numRows , octet[] bookmarks , OctetSeqHolder rowBuffer , OctetSeqHolder rowStatus , org.omg.CORBA.IntHolder rowsAffected , org.omg.CORBA.IntHolder status ) throws ( TKTS_ERROR, TKTS_INVALID_HANDLE, TKTS_NEED_DATA, TKTS_STILL_EXECUTING, GenericError );
void | SetPosAdd2 ( int rowNumber , int lockType , int rowsFetched , octet[] rowOperation , octet[] rowBuffer , OctetSeqHolder bookmarks , OctetSeqHolder rowStatus , org.omg.CORBA.IntHolder status ) throws ( TKTS_ERROR, TKTS_INVALID_HANDLE, TKTS_NEED_DATA, TKTS_STILL_EXECUTING, GenericError );
void | SetPosDelete2 ( int rowNumber , int lockType , int rowsFetched , octet[] rowOperation , OctetSeqHolder rowStatus , org.omg.CORBA.IntHolder status ) throws ( TKTS_ERROR, TKTS_INVALID_HANDLE, TKTS_NEED_DATA, TKTS_STILL_EXECUTING, GenericError );
void | SetPosUpdate2 ( int rowNumber , int lockType , int rowsFetched , octet[] rowOperation , octet[] rowBuffer , OctetSeqHolder rowStatus , org.omg.CORBA.IntHolder status ) throws ( TKTS_ERROR, TKTS_INVALID_HANDLE, TKTS_NEED_DATA, TKTS_STILL_EXECUTING, GenericError );
void | SetPosRefresh2 ( int rowNumber , int lockType , int rowsFetched , octet[] rowOperation , OctetSeqHolder rowData , OctetSeqHolder rowStatus , org.omg.CORBA.IntHolder status ) throws ( TKTS_ERROR, TKTS_INVALID_HANDLE, TKTS_NEED_DATA, TKTS_STILL_EXECUTING, GenericError );
void | SetPosPosition2 ( int rowNumber , int lockType , int rowsFetched , org.omg.CORBA.IntHolder status ) throws ( TKTS_ERROR, TKTS_INVALID_HANDLE, TKTS_NEED_DATA, TKTS_STILL_EXECUTING, GenericError );
void | Execute2 ( octet[] inParams , octet[] paramOps , org.omg.CORBA.IntHolder paramsProcessed , OctetSeqHolder outParams , OctetSeqHolder paramStatus , org.omg.CORBA.LongHolder rowCount , org.omg.CORBA.IntHolder status ) throws ( TKTS_ERROR, TKTS_INVALID_HANDLE, TKTS_NO_DATA, TKTS_STILL_EXECUTING, GenericError );
void | ExecDirect2 ( java.lang.String statementText , octet[] inParams , octet[] paramOps , org.omg.CORBA.IntHolder paramsProcessed , OctetSeqHolder outParams , OctetSeqHolder paramStatus , org.omg.CORBA.LongHolder rowCount , org.omg.CORBA.IntHolder status ) throws ( TKTS_ERROR, TKTS_INVALID_HANDLE, TKTS_NO_DATA, TKTS_STILL_EXECUTING, GenericError );
void | BindParameters2 ( int[] parameterNumbers , int[] valueTypes , int[] parameterTypes , int[] parameterSizes , int[] decimalDigits , int[] bindTypes , int[] cei , int[] BufferLength , org.omg.CORBA.IntHolder bmgrStatus ) throws ( TKTS_ERROR, TKTS_INVALID_HANDLE, GenericError );
void | GetData2 ( int columnNumber , int targetType , long offset , int length , org.omg.CORBA.AnyHolder data , org.omg.CORBA.LongHolder lenOrInd , org.omg.CORBA.IntHolder status ) throws ( TKTS_ERROR, TKTS_INVALID_HANDLE, TKTS_NO_DATA, TKTS_STILL_EXECUTING, GenericError );

Java Class IStatement_1_2Helper

public class IStatement_1_2Helper

Description
Implementing class for methods (insert, extract, type, id, read, write, narrow) used to manipulate the IStatement_1_2 type.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IStatement_1_2Helper

Java Class IStatement_1_2Holder

public class IStatement_1_2Holder

Description
Implementing class for methods (_read, _write, _type) used to process the IStatement_1_2 type as an out parameter.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IStatement_1_2Holder

CORBA Method BulkOpsAdd2

Description

Usage

Java Method BulkOpsAdd2

`void` BulkOpsAdd2 (

        int numRows ,
        octet[] rowBuffer ,
        OctetSeqHolder bookmarks ,
        OctetSeqHolder rowStatus ,
        org.omg.CORBA.IntHolder rowsAffected ,
        org.omg.CORBA.IntHolder status
        )
        throws (
                TKTS_ERROR,
                TKTS_INVALID_HANDLE,
                TKTS_NEED_DATA,
                TKTS_STILL_EXECUTING,
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
numRows | in | int |
rowBuffer | in | octet[] |
bookmarks | out | OctetSeqHolder |
rowStatus | out | OctetSeqHolder |
rowsAffected | out | org.omg.CORBA.IntHolder |
status | out | org.omg.CORBA.IntHolder |

Example

CORBA Method BulkOpsUpdate2

Description

Usage

Java Method BulkOpsUpdate2

`void` BulkOpsUpdate2 (

        int numRows ,
        octet[] rowBuffer ,
        OctetSeqHolder rowStatus ,
        org.omg.CORBA.IntHolder rowsAffected ,
        org.omg.CORBA.IntHolder status
        )
        throws (
                TKTS_ERROR,
                TKTS_INVALID_HANDLE,
                TKTS_NEED_DATA,
                TKTS_STILL_EXECUTING,
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
numRows | in | int |
rowBuffer | in | octet[] |
rowStatus | out | OctetSeqHolder |
rowsAffected | out | org.omg.CORBA.IntHolder |
status | out | org.omg.CORBA.IntHolder |

Example

CORBA Method BulkOpsDelete2

Description

Usage

Java Method BulkOpsDelete2

`void` BulkOpsDelete2 (

        int numRows ,
        octet[] rowBuffer ,
        OctetSeqHolder rowStatus ,
        org.omg.CORBA.IntHolder rowsAffected ,
        org.omg.CORBA.IntHolder status
        )
        throws (
                TKTS_ERROR,
                TKTS_INVALID_HANDLE,
                TKTS_NEED_DATA,
                TKTS_STILL_EXECUTING,
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
numRows | in | int |
rowBuffer | in | octet[] |
rowStatus | out | OctetSeqHolder |
rowsAffected | out | org.omg.CORBA.IntHolder |
status | out | org.omg.CORBA.IntHolder |

Example

CORBA Method BulkOpsFetch2

Description

Usage

Java Method BulkOpsFetch2

`void` BulkOpsFetch2 (

        int numRows ,
        octet[] bookmarks ,
        OctetSeqHolder rowBuffer ,
        OctetSeqHolder rowStatus ,
        org.omg.CORBA.IntHolder rowsAffected ,
        org.omg.CORBA.IntHolder status
        )
        throws (
                TKTS_ERROR,
                TKTS_INVALID_HANDLE,
                TKTS_NEED_DATA,
                TKTS_STILL_EXECUTING,
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
numRows | in | int |
bookmarks | in | octet[] |
rowBuffer | out | OctetSeqHolder |
rowStatus | out | OctetSeqHolder |
rowsAffected | out | org.omg.CORBA.IntHolder |
status | out | org.omg.CORBA.IntHolder |

Example

CORBA Method SetPosAdd2

Description

Usage

Java Method SetPosAdd2

`void` SetPosAdd2 (

        int rowNumber ,
        int lockType ,
        int rowsFetched ,
        octet[] rowOperation ,
        octet[] rowBuffer ,
        OctetSeqHolder bookmarks ,
        OctetSeqHolder rowStatus ,
        org.omg.CORBA.IntHolder status
        )
        throws (
                TKTS_ERROR,
                TKTS_INVALID_HANDLE,
                TKTS_NEED_DATA,
                TKTS_STILL_EXECUTING,
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
rowNumber | in | int |
lockType | in | int |
rowsFetched | in | int |
rowOperation | in | octet[] |
rowBuffer | in | octet[] |
bookmarks | out | OctetSeqHolder |
rowStatus | out | OctetSeqHolder |
status | out | org.omg.CORBA.IntHolder |

Example

CORBA Method SetPosDelete2

Description

Usage

Java Method SetPosDelete2

`void` SetPosDelete2 (

        int rowNumber ,
        int lockType ,
        int rowsFetched ,
        octet[] rowOperation ,
        OctetSeqHolder rowStatus ,
        org.omg.CORBA.IntHolder status
        )
        throws (
                TKTS_ERROR,
                TKTS_INVALID_HANDLE,
                TKTS_NEED_DATA,
                TKTS_STILL_EXECUTING,
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
rowNumber | in | int |
lockType | in | int |
rowsFetched | in | int |
rowOperation | in | octet[] |
rowStatus | out | OctetSeqHolder |
status | out | org.omg.CORBA.IntHolder |

Example

CORBA Method SetPosUpdate2

Description

Usage

Java Method SetPosUpdate2

`void` SetPosUpdate2 (

        int rowNumber ,
        int lockType ,
        int rowsFetched ,
        octet[] rowOperation ,
        octet[] rowBuffer ,
        OctetSeqHolder rowStatus ,
        org.omg.CORBA.IntHolder status
        )
        throws (
                TKTS_ERROR,
                TKTS_INVALID_HANDLE,
                TKTS_NEED_DATA,
                TKTS_STILL_EXECUTING,
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
rowNumber | in | int |
lockType | in | int |
rowsFetched | in | int |
rowOperation | in | octet[] |
rowBuffer | in | octet[] |
rowStatus | out | OctetSeqHolder |
status | out | org.omg.CORBA.IntHolder |

Example

CORBA Method SetPosRefresh2

Description

Usage

Java Method SetPosRefresh2

`void` SetPosRefresh2 (

        int rowNumber ,
        int lockType ,
        int rowsFetched ,
        octet[] rowOperation ,
        OctetSeqHolder rowData ,
        OctetSeqHolder rowStatus ,
        org.omg.CORBA.IntHolder status
        )
        throws (
                TKTS_ERROR,
                TKTS_INVALID_HANDLE,
                TKTS_NEED_DATA,
                TKTS_STILL_EXECUTING,
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
rowNumber | in | int |
lockType | in | int |
rowsFetched | in | int |
rowOperation | in | octet[] |
rowData | out | OctetSeqHolder |
rowStatus | out | OctetSeqHolder |
status | out | org.omg.CORBA.IntHolder |

Example

CORBA Method SetPosPosition2

Description

Usage

Java Method SetPosPosition2

`void` SetPosPosition2 (

        int rowNumber ,
        int lockType ,
        int rowsFetched ,
        org.omg.CORBA.IntHolder status
        )
        throws (
                TKTS_ERROR,
                TKTS_INVALID_HANDLE,
                TKTS_NEED_DATA,
                TKTS_STILL_EXECUTING,
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
rowNumber | in | int |
lockType | in | int |
rowsFetched | in | int |
status | out | org.omg.CORBA.IntHolder |

Example

CORBA Method Execute2

Description

Usage

Java Method Execute2

`void` Execute2 (

        octet[] inParams ,
        octet[] paramOps ,
        org.omg.CORBA.IntHolder paramsProcessed ,
        OctetSeqHolder outParams ,
        OctetSeqHolder paramStatus ,
        org.omg.CORBA.LongHolder rowCount ,
        org.omg.CORBA.IntHolder status
        )
        throws (
                TKTS_ERROR,
                TKTS_INVALID_HANDLE,
                TKTS_NO_DATA,
                TKTS_STILL_EXECUTING,
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
inParams | in | octet[] |
paramOps | in | octet[] |
paramsProcessed | out | org.omg.CORBA.IntHolder |
outParams | out | OctetSeqHolder |
paramStatus | out | OctetSeqHolder |
rowCount | out | org.omg.CORBA.LongHolder |
status | out | org.omg.CORBA.IntHolder |

Example

CORBA Method ExecDirect2

Description

Usage

Java Method ExecDirect2

`void` ExecDirect2 (

        java.lang.String statementText ,
        octet[] inParams ,
        octet[] paramOps ,
        org.omg.CORBA.IntHolder paramsProcessed ,
        OctetSeqHolder outParams ,
        OctetSeqHolder paramStatus ,
        org.omg.CORBA.LongHolder rowCount ,
        org.omg.CORBA.IntHolder status
        )
        throws (
                TKTS_ERROR,
                TKTS_INVALID_HANDLE,
                TKTS_NO_DATA,
                TKTS_STILL_EXECUTING,
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
statementText | in | java.lang.String |
inParams | in | octet[] |
paramOps | in | octet[] |
paramsProcessed | out | org.omg.CORBA.IntHolder |
outParams | out | OctetSeqHolder |
paramStatus | out | OctetSeqHolder |
rowCount | out | org.omg.CORBA.LongHolder |
status | out | org.omg.CORBA.IntHolder |

Example

CORBA Method BindParameters2

Description

Usage

Java Method BindParameters2

`void` BindParameters2 (

        int[] parameterNumbers ,
        int[] valueTypes ,
        int[] parameterTypes ,
        int[] parameterSizes ,
        int[] decimalDigits ,
        int[] bindTypes ,
        int[] cei ,
        int[] BufferLength ,
        org.omg.CORBA.IntHolder bmgrStatus
        )
        throws (
                TKTS_ERROR,
                TKTS_INVALID_HANDLE,
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
parameterNumbers | in | int[] |
valueTypes | in | int[] |
parameterTypes | in | int[] |
parameterSizes | in | int[] |
decimalDigits | in | int[] |
bindTypes | in | int[] |
cei | in | int[] |
BufferLength | in | int[] |
bmgrStatus | out | org.omg.CORBA.IntHolder |

Example

CORBA Method GetData2

Description

Usage

Java Method GetData2

`void` GetData2 (

        int columnNumber ,
        int targetType ,
        long offset ,
        int length ,
        org.omg.CORBA.AnyHolder data ,
        org.omg.CORBA.LongHolder lenOrInd ,
        org.omg.CORBA.IntHolder status
        )
        throws (
                TKTS_ERROR,
                TKTS_INVALID_HANDLE,
                TKTS_NO_DATA,
                TKTS_STILL_EXECUTING,
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
columnNumber | in | int |
targetType | in | int |
offset | in | long |
length | in | int |
data | out | org.omg.CORBA.AnyHolder |
lenOrInd | out | org.omg.CORBA.LongHolder |
status | out | org.omg.CORBA.IntHolder |

Example